aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.ListIdentities

Synopsis

- data ListIdentities = ListIdentities {
  - liIdentityType :: Maybe IdentityType
  - liMaxItems :: Maybe Int
  - liNextToken :: Maybe Text
  }
- data ListIdentitiesResponse = ListIdentitiesResponse [Text]
- data IdentityType
  - = EmailAddress
  - | Domain

# Documentation

data ListIdentities #

List email addresses and/or domains

Constructors

ListIdentities |

Fields

- liIdentityType :: Maybe IdentityType
- liMaxItems :: Maybe Int
- liNextToken :: Maybe Text

#### Instances

Instances details

SignQuery ListIdentities # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type ServiceConfiguration ListIdentities |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ServiceConfiguration ListIdentities = SesConfiguration

Methods

signQuery :: ListIdentities -> ServiceConfiguration ListIdentities queryType -> SignatureData -> SignedQuery #

Show ListIdentities # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods showsPrec :: Int -> ListIdentities -> ShowS # show :: ListIdentities -> String # showList :: [ListIdentities] -> ShowS #
Eq ListIdentities # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods (==) :: ListIdentities -> ListIdentities -> Bool # (/=) :: ListIdentities -> ListIdentities -> Bool #
Ord ListIdentities # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Methods

compare :: ListIdentities -> ListIdentities -> Ordering #

(<) :: ListIdentities -> ListIdentities -> Bool #

(<=) :: ListIdentities -> ListIdentities -> Bool #

(>) :: ListIdentities -> ListIdentities -> Bool #

(>=) :: ListIdentities -> ListIdentities -> Bool #

max :: ListIdentities -> ListIdentities -> ListIdentities #

min :: ListIdentities -> ListIdentities -> ListIdentities #

ResponseConsumer ListIdentities ListIdentitiesResponse # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type ResponseMetadata ListIdentitiesResponse |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ResponseMetadata ListIdentitiesResponse = SesMetadata

Methods

responseConsumer :: Request -> ListIdentities -> IORef (ResponseMetadata ListIdentitiesResponse) -> HTTPResponseConsumer ListIdentitiesResponse #

Transaction ListIdentities ListIdentitiesResponse # |
Instance details Defined in Aws.Ses.Commands.ListIdentities
type ServiceConfiguration ListIdentities # |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ServiceConfiguration ListIdentities = SesConfiguration

data ListIdentitiesResponse #

The response sent back by Amazon SES after a `ListIdentities` command.

Constructors

ListIdentitiesResponse [Text] |

#### Instances

Instances details

AsMemoryResponse ListIdentitiesResponse # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type MemoryResponse ListIdentitiesResponse |
Instance details Defined in Aws.Ses.Commands.ListIdentities type MemoryResponse ListIdentitiesResponse = ListIdentitiesResponse

Methods

loadToMemory :: ListIdentitiesResponse -> ResourceT IO (MemoryResponse ListIdentitiesResponse) #

Show ListIdentitiesResponse # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods showsPrec :: Int -> ListIdentitiesResponse -> ShowS # show :: ListIdentitiesResponse -> String # showList :: [ListIdentitiesResponse] -> ShowS #
Eq ListIdentitiesResponse # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods (==) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool # (/=) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool #
Ord ListIdentitiesResponse # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Methods

compare :: ListIdentitiesResponse -> ListIdentitiesResponse -> Ordering #

(<) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool #

(<=) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool #

(>) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool #

(>=) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool #

max :: ListIdentitiesResponse -> ListIdentitiesResponse -> ListIdentitiesResponse #

min :: ListIdentitiesResponse -> ListIdentitiesResponse -> ListIdentitiesResponse #

ResponseConsumer ListIdentities ListIdentitiesResponse # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type ResponseMetadata ListIdentitiesResponse |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ResponseMetadata ListIdentitiesResponse = SesMetadata

Methods

responseConsumer :: Request -> ListIdentities -> IORef (ResponseMetadata ListIdentitiesResponse) -> HTTPResponseConsumer ListIdentitiesResponse #

Transaction ListIdentities ListIdentitiesResponse # |
Instance details Defined in Aws.Ses.Commands.ListIdentities
type MemoryResponse ListIdentitiesResponse # |
Instance details Defined in Aws.Ses.Commands.ListIdentities type MemoryResponse ListIdentitiesResponse = ListIdentitiesResponse
type ResponseMetadata ListIdentitiesResponse # |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ResponseMetadata ListIdentitiesResponse = SesMetadata

data IdentityType #

Constructors

EmailAddress |
Domain |

#### Instances

Instances details

Show IdentityType # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods showsPrec :: Int -> IdentityType -> ShowS # show :: IdentityType -> String # showList :: [IdentityType] -> ShowS #
Eq IdentityType # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods (==) :: IdentityType -> IdentityType -> Bool # (/=) :: IdentityType -> IdentityType -> Bool #
Ord IdentityType # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Methods

compare :: IdentityType -> IdentityType -> Ordering #

(<) :: IdentityType -> IdentityType -> Bool #

(<=) :: IdentityType -> IdentityType -> Bool #

(>) :: IdentityType -> IdentityType -> Bool #

(>=) :: IdentityType -> IdentityType -> Bool #

max :: IdentityType -> IdentityType -> IdentityType #

min :: IdentityType -> IdentityType -> IdentityType #